#
# spec file for package python-django-ipware
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-django-ipware
Version:        5.0.1
Release:        1.1
Summary:        Django utility application that returns client's real IP address
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/un33k/django-ipware
Source:         https://github.com/un33k/django-ipware/archive/refs/tags/v%{version}.tar.gz#/django-ipware-%{version}.tar.gz
BuildRequires:  %{python_module Django}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django
BuildArch:      noarch
%python_subpackages

%description
A Django utility application that returns client's real IP address.

%prep
%setup -q -n django-ipware-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export DJANGO_SETTINGS_MODULE=ipware.tests.testsettings
%python_exec -m django test -v 2

%files %{python_files}
%doc README.md
%license LICENSE
%{python_sitelib}/*

%changelog
* Thu Oct  5 2023 Dirk Müller <dmueller@suse.com>
- update to 5.0.1:
  * Add HTTP_X_CLIENT_IP to defaults.py
  * feat: support for python/django versions
  * Add Missing Comma and Extend Private IPv6 Prefix List
  * add deprecation notice
* Sun May  7 2023 Dirk Müller <dmueller@suse.com>
- update to 5.0.0:
  * Added support for Python 3.11
  * Drop support for Python 3.6, Django 2.2
* Fri Jan  7 2022 John Vandenberg <jayvdb@gmail.com>
- Skip Tumbleweed Python 3.6 incompatible with Django 4
* Sun Dec 26 2021 John Vandenberg <jayvdb@gmail.com>
- Update to v4.0.2
  * Added support for Python 3.10
- from v4.0.1
  * Added test for django 4.0
- from v4.0.0
  * Added test to cover more proxy scenarios
- from v3.0.3-3.0.7
  * Clean ups
- from v3.0.2
  * Add support for ppc64le
* Sun Sep 13 2020 John Vandenberg <jayvdb@gmail.com>
- Activate test suite
- Update to v3.0.1
* Tue Mar 31 2020 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v2.1.0
